  
  -----------User settings-------------------------
  
    menu_position_x = -60
    menu_position_y = 25
    menu_width_x = 160
    menu_width_y = 4
    
  -------------------------------------------------
  
  function bla() end
  function nothing() reaper.defer(bla) end
  
  local str_sep = package.config:sub(1,1)
  local str_win = "\\"
  if str_sep == str_win then
    get_os = "win"
  else
    get_os = "mac"
  end
  
  function Main()
    local filename = reaper.GetResourcePath() .. "\\" .. "reaper.ini"
    local table_proj = {}
    local projects_not_found = {}
    
    for l in io.lines(filename) do
      if string.sub(l,0,6) == "recent" then
        local count = 0
        local count1 = 0
        local count1_bl = false
        local find_number = false
        local string_num = ""
        for s in string.gmatch(l, ".") do
          count = count + 1
          if find_number == false and s == string.match(s,"%d") then
            string_num = string_num .. s
          elseif find_number == false and s == "=" then
            find_number = true
          end
          if s == str_sep then
            if count1_bl == false then
              count1 = count
              count1_bl = true
            end
          end
        end
        if reaper.file_exists(string.sub(l, count1-2, string.len(l))) == true then
          table_proj[#table_proj+1] = { string.sub(l, count1-2, string.len(l)), tonumber(string_num) }
        else
          projects_not_found[#projects_not_found+1] = { string.sub(l, count1-2, string.len(l)), tonumber(string_num) }
        end
      end
    end

    table.sort(table_proj, function(a,b) return b[2] < a[2] end)
    table.sort(projects_not_found, function(a,b) return b[2] < a[2] end)
    
    function remove_duplicates(input_table)
      local hash = {}
      local res = {}
      
      for _,v in ipairs(input_table) do
        if (not hash[v]) then
          res[#res+1] = v
          hash[v] = true
        end
      end
      return res
    end
    
    ----------------------------------------------------------------------------
    local one_table_proj = {}
    
    for i=1, #table_proj do
      one_table_proj[#one_table_proj+1] = table_proj[i][1]
    end
    
    local one_projects_not_found = {}
    
    for i=1, #projects_not_found do
      one_projects_not_found[#one_projects_not_found+1] = projects_not_found[i][1]
    end
    
    local table_proj = remove_duplicates(one_table_proj)
    local projects_not_found = remove_duplicates(one_projects_not_found)
    ----------------------------------------------------------------------------
    
    table.insert(table_proj, 1, ">New project tab...")
    
    for i=2, #table_proj do
      table_proj[#table_proj+1] = table_proj[i]
    end
    
    table.insert(table_proj, (#table_proj-1)/2+2, "<|")
    
    local new_table_proj_names = {}
    for i=1, #table_proj do
      local count = 0
      local count1 = 0
      for s in string.gmatch(table_proj[i], ".") do
        count = count + 1
        if s == str_sep then
          count1 = count
        end
      end
      new_table_proj_names[#new_table_proj_names+1] = table_proj[i]:sub(count1+1, table_proj[i]:len()) .. "|"
    end
    
    local new_projects_not_found = {}
    for i=1, #projects_not_found do
      local count = 0
      local count1 = 0
      for s in string.gmatch(projects_not_found[i], ".") do
        count = count + 1
        if s == str_sep then
          count1 = count
        end
      end
      new_projects_not_found[#new_projects_not_found+1] = "#   " .. projects_not_found[i]:sub(count1+1, projects_not_found[i]:len()) .. "|"
    end
    
    local retval = gfx.showmenu(table.concat(new_table_proj_names) .. "|#Projects not found!||" .. table.concat(new_projects_not_found))
    
    if retval == 0 then
      nothing()
    else
      if retval < (#new_table_proj_names-1)/2 then
        gfx.quit()
        reaper.Main_OnCommand(41929,0)
        retval = retval + 1
        reaper.Main_openProject(table_proj[retval])
      else
        gfx.quit()
        retval = retval + 2
        reaper.Main_openProject(table_proj[retval])
      end
    end
  end

  local x, y = reaper.GetMousePosition()
  gfx.init("Recent projects...",menu_width_x,menu_width_y,0,x+menu_position_x,y+menu_position_y)
  
  Main()
